.app-loader,
.wlc-app__preload {
  z-index: 10000;
}
.wlc-app__preload {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  overflow: hidden;
  background-image: linear-gradient(315deg, var(--mc-bg500) 0%, var(--mc-bg) 75%);
}
.wlc-app__preload-content {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}
.wlc-app__preload-img {
  width: 300px;
  padding-bottom: 80px;
  background-image: url('/assets/logo.svg');
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
}
.wlc-app__preload-loader {
  position: relative;
  height: 50px;
  margin: 20px auto 0;
}
.wlc-app__preload-loader {
  --speed: 1.5s;
  --easing: cubic-bezier(0.075, 0.82, 0.165, 1);
}
.wlc-app__preload-loader:before,
.wlc-app__preload-loader:after {
  content: '';
  position: absolute;
  right: 0;
  bottom: 0;
  left: 0;
  display: block;
  width: 50px;
  height: 50px;
  margin: auto;
  border: 2px solid var(--mc-main);
  border-radius: 50%;
  opacity: 0;
  animation: loader-6-1 var(--speed) var(--easing) infinite;
}
.wlc-app__preload-loader:after {
  animation: loader-6-2 var(--speed) var(--easing) 0.1s infinite;
}
@keyframes loader-6-1 {
  0% {
    transform: translate3d(0, 0, 0) scale(0);
    opacity: 1;
  }
  40% {
    opacity: 1;
  }
  100% {
    transform: translate3d(0, 0, 0) scale(1.5);
    opacity: 0;
  }
}
@keyframes loader-6-2 {
  0% {
    transform: translate3d(0, 0, 0) scale(0);
    opacity: 1;
  }
  40% {
    opacity: 1;
  }
  100% {
    transform: translate3d(0, 0, 0) scale(1);
    opacity: 0;
  }
}
